@ECHO Off
cd %~dp0

ECHO  -------------------------------------------------------
ECHO  Consistency check tool Installation 
ECHO  -------------------------------------------------------
ECHO\
ECHO\
ECHO  -------------------------------------------------------
type License.txt | more
ECHO  -------------------------------------------------------
ECHO\
ECHO\
ECHO\
ECHO\
ECHO If you agree with the above and want to install this tool, press any key.
ECHO If you do not agree, stop with Ctl-c Key.
PAUSE


REM ------------------2020-----------------
SET FROM_PATH=%~dp0\2020\
SET ADDIN_PATH=%ProgramData%\Autodesk\Revit\Addins\2020\
IF NOT EXIST %ADDIN_PATH% GOTO NO_PATH

IF NOT EXIST %ADDIN_PATH%ElementChecker\ElementChecker.dll GOTO SKIP2020_1
DEL   %ADDIN_PATH%ElementChecker.addin
RMDIR %ADDIN_PATH%ElementChecker\ /S /Q
:SKIP2020_1

IF NOT EXIST %ADDIN_PATH%ElementLister\ElementLister.dll GOTO SKIP2020_2
DEL   %ADDIN_PATH%ElementLister.addin
RMDIR %ADDIN_PATH%ElementLister\ /S /Q
:SKIP2020_2

IF EXIST %ADDIN_PATH%ElementChecker\ElementChecker.dll GOTO NO_DEL
IF EXIST %ADDIN_PATH%ElementLister\ElementLister.dll GOTO NO_DEL

XCOPY "%FROM_PATH%." %ADDIN_PATH% /S /Y

IF ERRORLEVEL 1 GOTO NO_DEL
ECHO SUCCESS:Copy complete.
GOTO END

REM ------------------ERROR-----------------
:NO_PATH
ECHO ERROR:Addin path not found.
GOTO END

REM ------------------ERROR-----------------
:NO_DEL
ECHO ERROR:Copy failed.
GOTO END

:END
PAUSE
